3CX Phone System 12.5 – SP1 Adds a Critical Update

We have just released an important Service Pack for 3CX Phone System 12.5 which will be required to reactivate 3CX upon your next system reboot. The new Mac and Windows clients have been included as well as a critical update to the license key activation module.

Because of Google’s decision to suspend SSL SHA1 certificates we have had to upgrade the 3CX licensing server to SHA2. This requires an update in the license key module in order to reactivate 3CX Phone System. Although this is only rarely required we strongly recommend that you have the system current and ready for reactivation.

Please ensure the key has valid maintenance and that valid end-user details we’re provided, as this is required to unlock the first years free maintenance.

Installing 3CX Phone System 12.5 Service Pack 1

Access the 3CX Management Console, click on 3CX Service Packs / Updates and download SP1

Edit 27/5/2015: Please note that you do not need to reinstall or upgrade to v12.5. Updates are available for v11, v12 and v 12.5 that can be applied with a few mouse clicks and within minutes! Older versions, i.e. v10 and below will need to upgrade at some point to v11. 

Anonymous comments will be deleted.

Documentation and Links:

Liked this article?


Get notified of new articles
or share
You might also be interested in:
  1. Pingback: 3CX Phone System 12.5 – SP1 Adds a Critical Update - VoIP-News.gr

  2. May I ask for more details replies to following questions?
    1. what about 3CX v12? Is that version affected as well? What about version 11?

    2. 3CX Cloud Server 12 -> same question here, is that system affected? Do we need to install service pack?

    3. What about situation when computer running 3CX reboots without having SP1 installed? Is the license going to get deactivated, PBX drops to free mode with 2 concurrent calls and no call queues / ring groups?

    4. what about customers who don’t have valid maintenance – i.e. no chance to install the service pack? What happens to them when they reboot computer running 3CX?

    April 29, 2015 at 2:44 pm
    • Hi Jakub,

      Please see answers below:

      1. There is already a SP for v11. Users of v12 should have updated to v12.5 in January.
      2. This SP is valid for 3CX Cloud Server 12 also and yes you will need to install it.
      3. If you install SP1 you won’t have to worry about this.
      4. 3CX Phone System will ONLY fall back to free if a reboot occurs and the network topology at startup would be different from that at the moment of activation. (Example change in network card or windows route). If the system reboots and network topology of 3CX Server has changed 3CX will fall back to the free version. If you do not have valid maintenance you should contact the 3CX Sales team in your region http://www.3cx.com/company/contact/

      Thanks.

      April 29, 2015 at 2:54 pm
    • Thank you for explanation.

      Ad 2) I did check for available updates on 3CX Cloud Server 12, but there is no new service pack available. The latest is SP 6.1 which brought in the inbuilt webmeeting, etc. But no fix for the license activation as far as I can see

      Thanks again

      April 29, 2015 at 3:28 pm
    • Brent

      Folks who are using 50 Grandstream phones cannot update to v12.5 because GS phones are not supported. How are they supposed to work with this update if there isn’t one for 12?

      April 29, 2015 at 6:44 pm
    • @Brent Version 12 users will soon see an update available for their installations.
      The question of whether you update to 12 or 12.5 has nothing to do with us supporting Grandstream or not. We have a set of Grandstream models which we know we used to support. If you have those (because you bought them in the time when they were supported) our support department will help you. But if you bought NEW Grandstream phones, then no, we will not support new models.
      So if you bought their new phones when you know that the relationship is not good, then contact their support not ours.

      April 30, 2015 at 12:52 pm
    • Re Bianca Allery: 3. If you install SP1 you won’t have to worry about this.

      I’ve a few ver12 installs running on non Windows 64 bit machines and so a 12.5 install was not possible. Will the pbx fail to relicense on the next reboot?

      April 30, 2015 at 10:09 am
    • Chris

      @Nicky Borg

      We don’t have the Grandstream phones so are not affected by the decision to not support them but don’t you think you could have been a bit more polite about the response rather than just criticising the people who have bought them? Not everyone has the luxury of being able to guess what phones 3CX will and will won’t support in the future when they are buying them…

      May 6, 2015 at 3:56 pm
    • jabc

      Bianca – I am on version 11 build 30296 and for my need all is fine. Laymen terms, I have my license key w/no maintenance. If update completed will all continue to work as prior for the update verbiage steers one to think it won’t. Sorry but 3cx has been running for years with no issues and I don’t mess with it.

      May 15, 2015 at 3:13 am
    • @JABC – you need to update to the latest v11 build because there is an important license update. You can do this when you want. The service pack is there and will remain there so dont worry.

      May 22, 2015 at 12:50 pm
  3. You may be prompted to close MMC before proceeding.

    Check task manager. If mmc is still open in the process list, terminate it and continue the installation process. Make sure that you have Show Processes from All Users.

    Our updates are taking less than five minutes.

    April 29, 2015 at 3:09 pm
    • Luca Roman

      After upgrade and reboot I get HTTP Error 503. The service is unavailable.
      Any suggestions?

      April 29, 2015 at 5:28 pm
    • @Luca – Can you give more information? What link do you type in the browser that results in a 503 error?

      April 30, 2015 at 4:05 pm
  4. Jonathan Rapoport

    Looks like the update was pulled. I saw this update as available on one customers’ system and then went to my system and it said “no update available”. Now going back to the customer who’s system showed the update available it is also now saying “no update available”.

    There should also be an update for v12 customers not just v11 and v12.5 customers. Some customers we can’t upgrade to v12.5 yet until the custom add-ons are updated.

    April 29, 2015 at 6:01 pm
    • I was in contact with 3CX support for the very same reason. 3CX v11 and v12.5 -> you can upgrade via management console.
      3CX v12 (both standalone and cloud server) -> no updates available. Info I got says it will be releases shortly. Not available yet though…

      April 29, 2015 at 6:24 pm
  5. nick

    Is there anything else new in this update?

    And when is 12.5 cloud releasing ? :)

    April 29, 2015 at 6:39 pm
  6. Yusuf

    Hi there, is there any changelog available for this servicepack?

    April 30, 2015 at 11:29 am
    • @Yusuf – Only the parts that require license changes have been changed.

      April 30, 2015 at 12:45 pm
  7. John C

    You say that nothing else has changed yet the 3CX phone for windows is updated and there is a new 3CX phone for Mac ?

    April 30, 2015 at 3:18 pm
    • @John C – Yes I said that things related to the license changed. So Our Applications (Windows phone etc) have references to the license so yes, they also should be updated…

      April 30, 2015 at 4:07 pm
  8. Joey

    Where are the release notes for this?

    April 30, 2015 at 11:47 pm
  9. Will the iphone and android clients update automatically or do we need to go the app store/google play store to update? Or is this update so minor that we don’t have to worry about it? Other than the certificates being upgrades to SHA2, I didn’t see that anything else was being addressed.

    May 1, 2015 at 12:59 am
    • @Marvin – Android Clients will automatically update. IOS client is currently in the process of getting approved by iOS App Review team.

      May 1, 2015 at 8:06 pm
  10. Renato Rocha

    I performed the update but soon after my click to call service stopped working, the WebRTC Gateway is not working, the links do not go anywhere.It does not open the Internet Browser.

    May 2, 2015 at 5:55 pm
  11. Hi, I just did the upgrade on two machines, but the license seems to be ok.
    I do not need to enter the license key again then or do I ??

    May 3, 2015 at 11:16 am
  12. Mauro

    Hi! Is the client 3CXPhone for Windows v.12.5 compatible with O.S. Windows XP? I installed it but it doesn’t start… I had to reinstall the previous version (12)…

    May 11, 2015 at 11:17 am
    • Mauro

      Thanks! (Y)

      May 14, 2015 at 11:31 am
    • jabc

      I’m confused – say 12.5 not compatible with XP yet I have been running it on XP.

      May 15, 2015 at 2:55 am
    • @JABC – v12 was ok for XP
      v12.5 is not. v12 will not be updated any more (just like XP)

      May 22, 2015 at 12:51 pm
    • Ben C

      We still have a lot of Win XP in use with 3CXphone installed (V12). We can not upgrade all of them for now, so we have to stay on 3CX phone system v.12 for now. What are we risking by staying on v.12 and updating to v.12.5?

      Thank you
      Ben

      May 27, 2015 at 7:44 pm
    • Hi Ben,

      We recommend you upgrade them as soon as you can to avoid any issues with the PBX upon the next system reboot.

      May 28, 2015 at 9:40 am
  13. John

    Because of Google’s decision you have been forced to do something? You make it seem like this is against your will. Surely you want to make this change as it’s the right thing to do (which is why Google have done it)? SHA-1 is no longer as strong as it once was and so it’s current good practice to not use it.

    May 14, 2015 at 5:47 pm
    • @John – Yes whatever… you interpret it like that because you don’t see the full picture. Google took a decision overnight in Chrome before the certificate authorities had the time to inform their customers and offer them updated certificate Chains… So yes, of course we were forced to do it – overnight.. We had to be dynamic and quick enough to address this without depending on the delays of the CA’s – so we can provide a solution to our customers. All you need to do is update a update. (Just like you need to do in Windows with the windows updates that followed)
      In other words, we did not want our customers to wait until the CA fixes this problem… But then again – thanks for your support with this comment.

      May 22, 2015 at 1:01 pm
  14. jabc

    Hi – We are running V11 and update notice appears yet apprehensive. The verbiage states “Please ensure the key has valid maintenance and that valid end-user details we’re provided, as this is required to unlock the first years free maintenance.” Though our 3cx has been rock solid – will our existing license key no longer work after update and on is required to purchase a maintenance agreement to continue service?

    May 17, 2015 at 4:18 pm
    • Hi Jeff

      You do not need to upgrade or have maintenance. You can just apply the service pack – it will update the correct module. There is no particular hurry to do this. We are just making everybody aware that this update needs to be run at some point.

      May 27, 2015 at 6:57 pm
  15. Paudie

    Installed upgrade. Yealink w52p status says manual provisioning required unsupported phone.

    May 19, 2015 at 1:21 am
    • At Paudie – it could be that manual provisioning is required because the port or provisioning link has been changed. Do what the interface tells you to do and go to the phone and manually put the provisioning link in the phone and restart the phone. Then the message should change.

      May 22, 2015 at 12:39 pm
  16. andrew

    Can we install a service pack for older versions of 3CX or do we need to upgrade every one to 12.5 aswell ?

    May 28, 2015 at 2:33 am
    • Hi Andrew,

      Versions 10 and older users are entitled to a free upgrade to v11.
      V11 users can update to the latest Service Pack for v11.
      V12 users can update to the latest Service Pack for v12.
      V12.5 users need to install the latest Service Pack

      All this is a process of a few minutes and a few mouse clicks

      May 28, 2015 at 9:37 am
    • Hi Andrew – Yes, you can. Service packs are available for V11, V12 and v12.5. All you need to do is update from the management console, no re-install necessary.

      May 28, 2015 at 11:45 am
  17. I received an email saying that my V.12 license has been automatically released to V.12.5 as I can see if in fact this is true?
    I do not have an authorized distributor in Brazil, need to check with you.
    thank you

    May 28, 2015 at 3:09 am
  18. zooeyhall

    I have just gotten done upgrading seven V11 installations in my company with the licensing fix provided by 3CX. Everything went well and I am grateful to 3CX for informing me of the need to perform the upgrade.

    June 1, 2015 at 5:04 pm
    • Hi Zooeyhall, Thank you so much for the positive feedback, much appreciated here! :)

      June 2, 2015 at 1:23 pm
  19. Tim Morgan

    I am having trouble downloading the License Update for Version 11 (SP 4B). When I click the update button in Management Console, the downloading… box pops up and doesn’t change or move at all. Is there anyone I can speak to about this?

    June 1, 2015 at 7:59 pm
    • Access the Winforms Management console from the actual server (you should have a shortcut in your program files) and try to make the update from there.

      June 3, 2015 at 9:46 am
  20. edgarrazon

    hola buen día soy nuevo en esto de la comunicación voip alguien mepuede ayudar a configurar la central.

    June 5, 2015 at 7:23 am
    • Hi, could you please send and email to our Sales Executive in Spain at jmc@3cx.com and he will help you out!

      Thanks

      June 10, 2015 at 9:15 am